function [angular_errors] = compute_angular_errors(pt1, pt2, ors)
% [angular_errors] = compute_angular_errors(pt1, pt2, ors)
%
% - pt1 and pt2 are two 1 x 2 vectors, each representing a point's
% coordinates.
% - ors is a vector of angles ("orientations")
% - angular_errors is a vector of same size as ors; its values are in (-pi/2, pi/2)
%
% Returns an angular difference in (-pi/2, pi/2), 
% between the orientation(s) "ors" and the direction defined by the line (pt1, pt2)

seg_or = arg(pt1, pt2);

angular_errors = atan( tan( ors  - seg_or   ) );