function L = list_chains_starting_at(i, M, points, n)
% L = list_chains_starting_at(i, M, points, n)
%
%   points : is a N x 2 matrix, each line representing a point's coordinates
%   i : is an integer between 1 and N: points(i,:) will be the first point in the chain
%   M : is a NxN adjacence (binary) matrix representing an oriented graph on the points
%   n  :is an integer, the max. number of elements in each chain
%
%   Returns a list L of maximal chains (i. e. with at most n points) starting at point i

L = {};

v = find(M(i, :));
for k = 1:length(v),
    j = v(k);
    started_chain = [i, j];
    new_chain = expand_chain(M, started_chain, points, n);
    L = [L, new_chain];
end