function [nfa] = nfa(chain, points, orientations)

n = length(chain);
N = length(points);

%% compute  angles omega
omegas = zeros(size(chain));
omegas(1) = abs( compute_angular_errors(points(chain(1), :), points(chain(2), :),  orientations(chain(1))) );
omegas(end) = abs( compute_angular_errors(points(chain(end-1), :), points(chain(end), :),  orientations(chain(end))) );
for i = 2: n-1,
    alpha_iL = abs( compute_angular_errors(points(chain(i-1), :), points(chain(i), :),  orientations(chain(i))) );
    alpha_iR = abs( compute_angular_errors(points(chain(i), :), points(chain(i+1), :),  orientations(chain(i))) );
    omegas(i) = max(alpha_iL, alpha_iR);
end

%%
omega_star = max(omegas);
p = (2*omega_star/pi)^2*F(omega_star)^(n-2);


Ntests = 6*N*sqrt(N);
nfa = Ntests*p;
